version: '3.7'
services:
  main:
    image: registry.verdnatura.es/hedera-web
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - 80
    configs:
      - source: config
        target: /etc/hedera-web/config.my.php
      - source: test
        target: /etc/hedera-web/config.test.php
    volumes:
      - /mnt/storage:/mnt/storage
      - /mnt/storage/image:/var/lib/hedera-web/image-db
      - /mnt/storage/vn-access:/var/lib/hedera-web/vn-access
    deploy:
      replicas: 3
  cron:
    image: registry.verdnatura.es/hedera-web
    command: 'cron -f'
    configs:
      - source: config
        target: /etc/hedera-web/config.my.php
    volumes:
      - /mnt/storage:/mnt/storage
      - /mnt/storage/image:/var/lib/hedera-web/image-db
    deploy:
      replicas: 1
configs:
  config:
    external: true
    name: ${PROJECT_NAME:?}_config
  test:
    external: true
    name: ${PROJECT_NAME:?}_test
